<?php

include 'load.php';

if(isset($_POST['save']))

{		

		$department = $_POST['department'];
		$doname = $_POST['doname'];
		$position = $_POST['position'];
		$phonenumber = $_POST['phonenumber'];
		$email = $_POST['email'];
		$availability = $_POST['availability'];
		$user_name = $_POST['user_name'];
		$user_pass = $_POST['user_pass'];
		$user_pass = password_hash($user_pass, PASSWORD_DEFAULT);
		$status = $_POST['status'];
		
		$imgFile = $_FILES['user_image']['name'];
		$tmp_dir = $_FILES['user_image']['tmp_name'];
		$imgSize = $_FILES['user_image']['size'];
		
		if(empty($department)){
			$errMSG = "Please Enter Doctor HIN.";
		}
		else if(empty($doname)){
			$errMSG = "Please Enter Doctor Name.";
		}
		else if(empty($position)){
			$errMSG = "Please Enter Nic Number.";
		}
		else if(empty($phonenumber)){
			$errMSG = "Please Enter Phone Number.";
		}
		else if(empty($email)){
			$errMSG = "Please Enter email.";
		}
		else if(empty($status)){
			$errMSG = "Please Select Active Or Deactive.";
		}
		{
			$upload_dir = 'images/doctors/'; // upload directory
	
			$imgExt = strtolower(pathinfo($imgFile,PATHINFO_EXTENSION)); // get image extension
		
			// valid image extensions
			$valid_extensions = array('jpeg', 'jpg', 'png', 'gif' ,'docx' , 'pdf' , 'video' , 'mp3' ); // valid extensions
		
			// rename uploading image
			$userpic = rand(1,1000000).".".$imgExt;
				
			// allow valid image file formats
			if(in_array($imgExt, $valid_extensions)){			
				// investck file size '100MB'
				if($imgSize < 100000000)				{
					move_uploaded_file($tmp_dir,$upload_dir.$userpic);
				}
				else{
					$errMSG = "Sorry, your file is too large.";
				}
			}
			else{
				$errMSG = "Sorry, only JPG, JPEG, PNG & GIF , DOCX & PDF files are allowed.";		
			}
		}
		// if no error occured, continue ....

		if(!isset($errMSG))

		{

			$stmt = $DB_con->prepare('INSERT INTO mobiledoctors(department,doname,position,phonenumber,email,availability,profile_picture,user_name,user_pass,status) VALUES(:department,:doname,:position,:phonenumber,:email,:availability,:upic,:user_name,:user_pass,:status)');
			$stmt->bindParam(':department',$department);
			$stmt->bindParam(':doname',$doname);
			$stmt->bindParam(':position',$position);
			$stmt->bindParam(':phonenumber',$phonenumber);
			$stmt->bindParam(':email',$email);
			$stmt->bindParam(':availability',$availability);
			$stmt->bindParam(':upic',$userpic);
			$stmt->bindParam(':user_name',$user_name);
			$stmt->bindParam(':user_pass',$user_pass);
			$stmt->bindParam(':status',$status);
			if($stmt->execute())

			{

				$successMSG = "Successfully! Add Your Doctor....";

				header("refresh:2;doctorslist.php"); // redirects image view page after 5 seconds.

			}

			else

			{

				$errMSG = "error while inserting....";

			}

		}

	}

?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Add Doctor | Payroll | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Add Doctor</h4>
<h6>Create new Doctor</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
									
									<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Error Alerts</h6>
											<div class="text-white"> <?php echo $errMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}
	
									else if(isset($successMSG)){

									?>
									
									<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Success Alerts</h6>
											<div class="text-white"><?php echo $successMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}

									?>	
<div class="row">
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Department</label>
<select name="department" class="select" id="inputdepartment">
										<option selected>Select Department</option>
										<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobiledepartment ORDER BY deid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
										<option value="<?php echo $row['deid']; ?>"><?php echo $row['dname']; ?></option>
										<?php 
										} 
										}
										?>
								</select>
</div>
</div>
<div class="col-lg-8 col-sm-6 col-12">
<div class="form-group">
<label>Doctor Name</label>
<input type="text" name="doname" class="form-control" id="inputdoname" placeholder="Enter Doctor Name">
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Position</label>
<select name="position" class="form-select" id="inputposition">
										<option selected>Select Position</option>
										<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobileposition ORDER BY poid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
										<option value="<?php echo $row['poid']; ?>"><?php echo $row['pname']; ?></option>
										<?php
										} 
										}
										?>
								</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Phone Number</label>
<input type="text" name="phonenumber" class="form-control" id="inputphonenumber" placeholder="Enter Phone Number" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Email</label>
<input type="text" name="email" class="form-control" id="inputemail" placeholder="Enter Email" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Username</label>
<input type="text" class="form-control" name="user_name" placeholder="Enter Username" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Password</label>
<div class="pass-group">
<input type="password" class="pass-input" name="user_pass" placeholder="Enter Password" value="" required>
<span class="fas toggle-password fa-eye-slash"></span>
</div>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Availability</label>
<select class="select" name="availability" required>
<option value="1">IN</option>
<option value="2">OUT</option>
<option value="0">ABSENT</option>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="select" name="status" required>
<option value="1">Active</option>
<option value="0">Deactive</option>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Profile Picture</label>
<label for="user_image"><img src="assets/img/empty.png" id="yourImgTag" class="pro_pick" style="width:200px;height:200px;"></label>
												<input type="file" name="user_image" id="user_image" hidden="yes" onChange="dis_name();">
												<script>
												function dis_name(){
												var input = document.getElementById("user_image");
												var fReader = new FileReader();
												fReader.readAsDataURL(input.files[0]);
												fReader.onloadend = function(event){
												var img = document.getElementById("yourImgTag");
												img.src = event.target.result;
												}
												}
												</script>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<a href="doctorslist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="save" class="btn btn-submit me-2">Save</button>
</div>
</div>
</form>
</div>
</div>
</div>
</div>
</div>

<?php
require_once 'footerjs.php';
?>
</body>
</html>